Add ability to specify PHP version for scap
ClosedPublic

Authored by thcipriani on Sep 6 2018, 8:11 PM.

Details

Reviewers
mmodell
Group Reviewers
Release-Engineering-Team
Commits
rMSCA36d2144d2453: Add ability to specify PHP version for scap
Patch without arc
git checkout -b D1110 && curl -L https://phabricator.wikimedia.org/D1110?download=true | git apply
Summary

Allows user to specify php version for scap via scap.cfg. By default
this is "php", but it will allow updates to the configuration in puppet
to enable PHP="hhvm Eval.Jit=1" for performance improvements to
rebuildLocalisationCahce.php.

The scap configuration in puppet should be updated after this is made
live. As part of the migration to php7 the configuration in puppet will,
again, need to be modified.

Bug: T203680

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thcipriani created this revision.Sep 6 2018, 8:11 PM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptSep 6 2018, 8:11 PM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
thcipriani updated this revision to Diff 2896.Sep 6 2018, 8:13 PM

cahce -> cache

Harbormaster completed remote builds in B3115: Diff 2896.
thcipriani requested review of this revision.Sep 6 2018, 8:15 PM
mmodell accepted this revision.Sep 6 2018, 9:42 PM
This revision is now accepted and ready to land.Sep 6 2018, 9:42 PM
This revision was automatically updated to reflect the committed changes.